# Print an optspec for argparse to handle cmd's options that are independent of any subcommand.
function __fish_/home/abuild/rpmbuild/BUILD/fclones_0.35.0_build/BUILDROOT//usr/bin/fclones_global_optspecs
	string join \n progress= q/quiet h/help V/version
end

function __fish_/home/abuild/rpmbuild/BUILD/fclones_0.35.0_build/BUILDROOT//usr/bin/fclones_needs_command
	# Figure out if the current invocation already has a command.
	set -l cmd (commandline -opc)
	set -e cmd[1]
	argparse -s (__fish_/home/abuild/rpmbuild/BUILD/fclones_0.35.0_build/BUILDROOT//usr/bin/fclones_global_optspecs) -- $cmd 2>/dev/null
	or return
	if set -q argv[1]
		# Also print the command, so this can be used to figure out what it is.
		echo $argv[1]
		return 1
	end
	return 0
end

function __fish_/home/abuild/rpmbuild/BUILD/fclones_0.35.0_build/BUILDROOT//usr/bin/fclones_using_subcommand
	set -l cmd (__fish_/home/abuild/rpmbuild/BUILD/fclones_0.35.0_build/BUILDROOT//usr/bin/fclones_needs_command)
	test -z "$cmd"
	and return 1
	contains -- $cmd[1] $argv
end

complete -c /home/abuild/rpmbuild/BUILD/fclones-0.35.0-build/BUILDROOT//usr/bin/fclones -n "__fish_/home/abuild/rpmbuild/BUILD/fclones_0.35.0_build/BUILDROOT//usr/bin/fclones_needs_command" -l progress -d 'Override progress reporting, by default (=auto) only report when stderr is a terminal. Possible values: true, false, auto' -r -f -a "auto\t''
true\t''
false\t''"
complete -c /home/abuild/rpmbuild/BUILD/fclones-0.35.0-build/BUILDROOT//usr/bin/fclones -n "__fish_/home/abuild/rpmbuild/BUILD/fclones_0.35.0_build/BUILDROOT//usr/bin/fclones_needs_command" -s q -l quiet
complete -c /home/abuild/rpmbuild/BUILD/fclones-0.35.0-build/BUILDROOT//usr/bin/fclones -n "__fish_/home/abuild/rpmbuild/BUILD/fclones_0.35.0_build/BUILDROOT//usr/bin/fclones_needs_command" -s h -l help -d 'Print help'
complete -c /home/abuild/rpmbuild/BUILD/fclones-0.35.0-build/BUILDROOT//usr/bin/fclones -n "__fish_/home/abuild/rpmbuild/BUILD/fclones_0.35.0_build/BUILDROOT//usr/bin/fclones_needs_command" -s V -l version -d 'Print version'
complete -c /home/abuild/rpmbuild/BUILD/fclones-0.35.0-build/BUILDROOT//usr/bin/fclones -n "__fish_/home/abuild/rpmbuild/BUILD/fclones_0.35.0_build/BUILDROOT//usr/bin/fclones_needs_command" -f -a "group" -d 'Produce a list of groups of identical files'
complete -c /home/abuild/rpmbuild/BUILD/fclones-0.35.0-build/BUILDROOT//usr/bin/fclones -n "__fish_/home/abuild/rpmbuild/BUILD/fclones_0.35.0_build/BUILDROOT//usr/bin/fclones_needs_command" -f -a "link" -d 'Replace redundant files with links'
complete -c /home/abuild/rpmbuild/BUILD/fclones-0.35.0-build/BUILDROOT//usr/bin/fclones -n "__fish_/home/abuild/rpmbuild/BUILD/fclones_0.35.0_build/BUILDROOT//usr/bin/fclones_needs_command" -f -a "dedupe" -d 'Deduplicate file data using native filesystem deduplication capabilities'
complete -c /home/abuild/rpmbuild/BUILD/fclones-0.35.0-build/BUILDROOT//usr/bin/fclones -n "__fish_/home/abuild/rpmbuild/BUILD/fclones_0.35.0_build/BUILDROOT//usr/bin/fclones_needs_command" -f -a "remove" -d 'Remove redundant files'
complete -c /home/abuild/rpmbuild/BUILD/fclones-0.35.0-build/BUILDROOT//usr/bin/fclones -n "__fish_/home/abuild/rpmbuild/BUILD/fclones_0.35.0_build/BUILDROOT//usr/bin/fclones_needs_command" -f -a "move" -d 'Move redundant files to the given directory'
complete -c /home/abuild/rpmbuild/BUILD/fclones-0.35.0-build/BUILDROOT//usr/bin/fclones -n "__fish_/home/abuild/rpmbuild/BUILD/fclones_0.35.0_build/BUILDROOT//usr/bin/fclones_needs_command" -f -a "complete" -d 'Print shell completion script to stdout'
complete -c /home/abuild/rpmbuild/BUILD/fclones-0.35.0-build/BUILDROOT//usr/bin/fclones -n "__fish_/home/abuild/rpmbuild/BUILD/fclones_0.35.0_build/BUILDROOT//usr/bin/fclones_needs_command" -f -a "help" -d 'Print this message or the help of the given subcommand(s)'
complete -c /home/abuild/rpmbuild/BUILD/fclones-0.35.0-build/BUILDROOT//usr/bin/fclones -n "__fish_/home/abuild/rpmbuild/BUILD/fclones_0.35.0_build/BUILDROOT//usr/bin/fclones_using_subcommand group" -s o -l output -d 'Write the report to a file instead of the standard output' -r -F
complete -c /home/abuild/rpmbuild/BUILD/fclones-0.35.0-build/BUILDROOT//usr/bin/fclones -n "__fish_/home/abuild/rpmbuild/BUILD/fclones_0.35.0_build/BUILDROOT//usr/bin/fclones_using_subcommand group" -s f -l format -d 'Set output file format' -r -f -a "default\t''
fdupes\t''
csv\t''
json\t''"
complete -c /home/abuild/rpmbuild/BUILD/fclones-0.35.0-build/BUILDROOT//usr/bin/fclones -n "__fish_/home/abuild/rpmbuild/BUILD/fclones_0.35.0_build/BUILDROOT//usr/bin/fclones_using_subcommand group" -s d -l depth -d 'Limit the recursion depth' -r
complete -c /home/abuild/rpmbuild/BUILD/fclones-0.35.0-build/BUILDROOT//usr/bin/fclones -n "__fish_/home/abuild/rpmbuild/BUILD/fclones_0.35.0_build/BUILDROOT//usr/bin/fclones_using_subcommand group" -l transform -d 'Transform each file by the specified program before matching' -r
complete -c /home/abuild/rpmbuild/BUILD/fclones-0.35.0-build/BUILDROOT//usr/bin/fclones -n "__fish_/home/abuild/rpmbuild/BUILD/fclones_0.35.0_build/BUILDROOT//usr/bin/fclones_using_subcommand group" -s n -l rf-over -d 'Search for over-replicated files with replication factor above the specified value' -r
complete -c /home/abuild/rpmbuild/BUILD/fclones-0.35.0-build/BUILDROOT//usr/bin/fclones -n "__fish_/home/abuild/rpmbuild/BUILD/fclones_0.35.0_build/BUILDROOT//usr/bin/fclones_using_subcommand group" -l rf-under -d 'Search for under-replicated files with replication factor below the specified value' -r
complete -c /home/abuild/rpmbuild/BUILD/fclones-0.35.0-build/BUILDROOT//usr/bin/fclones -n "__fish_/home/abuild/rpmbuild/BUILD/fclones_0.35.0_build/BUILDROOT//usr/bin/fclones_using_subcommand group" -s s -l min -d 'Minimum file size in bytes (inclusive)' -r
complete -c /home/abuild/rpmbuild/BUILD/fclones-0.35.0-build/BUILDROOT//usr/bin/fclones -n "__fish_/home/abuild/rpmbuild/BUILD/fclones_0.35.0_build/BUILDROOT//usr/bin/fclones_using_subcommand group" -l max -d 'Maximum file size in bytes (inclusive)' -r
complete -c /home/abuild/rpmbuild/BUILD/fclones-0.35.0-build/BUILDROOT//usr/bin/fclones -n "__fish_/home/abuild/rpmbuild/BUILD/fclones_0.35.0_build/BUILDROOT//usr/bin/fclones_using_subcommand group" -l max-prefix-size -d 'Maximum prefix size to check in bytes' -r
complete -c /home/abuild/rpmbuild/BUILD/fclones-0.35.0-build/BUILDROOT//usr/bin/fclones -n "__fish_/home/abuild/rpmbuild/BUILD/fclones_0.35.0_build/BUILDROOT//usr/bin/fclones_using_subcommand group" -l max-suffix-size -d 'Maximum suffix size to check in bytes' -r
complete -c /home/abuild/rpmbuild/BUILD/fclones-0.35.0-build/BUILDROOT//usr/bin/fclones -n "__fish_/home/abuild/rpmbuild/BUILD/fclones_0.35.0_build/BUILDROOT//usr/bin/fclones_using_subcommand group" -l name -d 'Include only file names matched fully by any of the given patterns' -r
complete -c /home/abuild/rpmbuild/BUILD/fclones-0.35.0-build/BUILDROOT//usr/bin/fclones -n "__fish_/home/abuild/rpmbuild/BUILD/fclones_0.35.0_build/BUILDROOT//usr/bin/fclones_using_subcommand group" -l path -d 'Include only paths matched fully by any of the given patterns' -r
complete -c /home/abuild/rpmbuild/BUILD/fclones-0.35.0-build/BUILDROOT//usr/bin/fclones -n "__fish_/home/abuild/rpmbuild/BUILD/fclones_0.35.0_build/BUILDROOT//usr/bin/fclones_using_subcommand group" -l exclude -d 'Ignore paths matched fully by any of the given patterns' -r
complete -c /home/abuild/rpmbuild/BUILD/fclones-0.35.0-build/BUILDROOT//usr/bin/fclones -n "__fish_/home/abuild/rpmbuild/BUILD/fclones_0.35.0_build/BUILDROOT//usr/bin/fclones_using_subcommand group" -l hash-fn -d 'A hash function to use for computing file digests' -r -f -a "metro\t''
xxhash\t''
blake3\t''
sha256\t''
sha512\t''
sha3-256\t''
sha3-512\t''"
complete -c /home/abuild/rpmbuild/BUILD/fclones-0.35.0-build/BUILDROOT//usr/bin/fclones -n "__fish_/home/abuild/rpmbuild/BUILD/fclones_0.35.0_build/BUILDROOT//usr/bin/fclones_using_subcommand group" -s t -l threads -d 'Set the sizes of thread-pools' -r
complete -c /home/abuild/rpmbuild/BUILD/fclones-0.35.0-build/BUILDROOT//usr/bin/fclones -n "__fish_/home/abuild/rpmbuild/BUILD/fclones_0.35.0_build/BUILDROOT//usr/bin/fclones_using_subcommand group" -l base-dir -d 'Base directory to use when resolving relative input paths' -r
complete -c /home/abuild/rpmbuild/BUILD/fclones-0.35.0-build/BUILDROOT//usr/bin/fclones -n "__fish_/home/abuild/rpmbuild/BUILD/fclones_0.35.0_build/BUILDROOT//usr/bin/fclones_using_subcommand group" -l stdin -d 'Read the list of input paths from the standard input instead of the arguments'
complete -c /home/abuild/rpmbuild/BUILD/fclones-0.35.0-build/BUILDROOT//usr/bin/fclones -n "__fish_/home/abuild/rpmbuild/BUILD/fclones_0.35.0_build/BUILDROOT//usr/bin/fclones_using_subcommand group" -s . -l hidden -d 'Include hidden files'
complete -c /home/abuild/rpmbuild/BUILD/fclones-0.35.0-build/BUILDROOT//usr/bin/fclones -n "__fish_/home/abuild/rpmbuild/BUILD/fclones_0.35.0_build/BUILDROOT//usr/bin/fclones_using_subcommand group" -s A -l no-ignore -d 'Do not ignore files matching patterns listed in `.gitignore` and `.fdignore`'
complete -c /home/abuild/rpmbuild/BUILD/fclones-0.35.0-build/BUILDROOT//usr/bin/fclones -n "__fish_/home/abuild/rpmbuild/BUILD/fclones_0.35.0_build/BUILDROOT//usr/bin/fclones_using_subcommand group" -s L -l follow-links -d 'Follow symbolic links'
complete -c /home/abuild/rpmbuild/BUILD/fclones-0.35.0-build/BUILDROOT//usr/bin/fclones -n "__fish_/home/abuild/rpmbuild/BUILD/fclones_0.35.0_build/BUILDROOT//usr/bin/fclones_using_subcommand group" -s H -l match-links -d 'Treat files reachable from multiple paths through links as duplicates'
complete -c /home/abuild/rpmbuild/BUILD/fclones-0.35.0-build/BUILDROOT//usr/bin/fclones -n "__fish_/home/abuild/rpmbuild/BUILD/fclones_0.35.0_build/BUILDROOT//usr/bin/fclones_using_subcommand group" -s S -l symbolic-links -d 'Don\'t ignore symbolic links to files'
complete -c /home/abuild/rpmbuild/BUILD/fclones-0.35.0-build/BUILDROOT//usr/bin/fclones -n "__fish_/home/abuild/rpmbuild/BUILD/fclones_0.35.0_build/BUILDROOT//usr/bin/fclones_using_subcommand group" -s I -l isolate -d 'Don\'t count matching files found within the same directory argument as duplicates'
complete -c /home/abuild/rpmbuild/BUILD/fclones-0.35.0-build/BUILDROOT//usr/bin/fclones -n "__fish_/home/abuild/rpmbuild/BUILD/fclones_0.35.0_build/BUILDROOT//usr/bin/fclones_using_subcommand group" -s 1 -l one-fs -d 'Don\'t match files on different filesystems or devices'
complete -c /home/abuild/rpmbuild/BUILD/fclones-0.35.0-build/BUILDROOT//usr/bin/fclones -n "__fish_/home/abuild/rpmbuild/BUILD/fclones_0.35.0_build/BUILDROOT//usr/bin/fclones_using_subcommand group" -l in-place -d 'Read the transform output from the same path as the transform input file'
complete -c /home/abuild/rpmbuild/BUILD/fclones-0.35.0-build/BUILDROOT//usr/bin/fclones -n "__fish_/home/abuild/rpmbuild/BUILD/fclones_0.35.0_build/BUILDROOT//usr/bin/fclones_using_subcommand group" -l no-copy -d 'Don\'t copy the file to a temporary location before transforming, when `$IN` parameter is specified in the `--transform` command'
complete -c /home/abuild/rpmbuild/BUILD/fclones-0.35.0-build/BUILDROOT//usr/bin/fclones -n "__fish_/home/abuild/rpmbuild/BUILD/fclones_0.35.0_build/BUILDROOT//usr/bin/fclones_using_subcommand group" -l unique -d 'Instead of searching for duplicates, search for unique files'
complete -c /home/abuild/rpmbuild/BUILD/fclones-0.35.0-build/BUILDROOT//usr/bin/fclones -n "__fish_/home/abuild/rpmbuild/BUILD/fclones_0.35.0_build/BUILDROOT//usr/bin/fclones_using_subcommand group" -s i -l ignore-case -d 'Make pattern matching case-insensitive'
complete -c /home/abuild/rpmbuild/BUILD/fclones-0.35.0-build/BUILDROOT//usr/bin/fclones -n "__fish_/home/abuild/rpmbuild/BUILD/fclones_0.35.0_build/BUILDROOT//usr/bin/fclones_using_subcommand group" -s x -l regex -d 'Expect patterns as Perl compatible regular expressions instead of Unix globs'
complete -c /home/abuild/rpmbuild/BUILD/fclones-0.35.0-build/BUILDROOT//usr/bin/fclones -n "__fish_/home/abuild/rpmbuild/BUILD/fclones_0.35.0_build/BUILDROOT//usr/bin/fclones_using_subcommand group" -l skip-content-hash -d 'Skip the full contents hash step entirely'
complete -c /home/abuild/rpmbuild/BUILD/fclones-0.35.0-build/BUILDROOT//usr/bin/fclones -n "__fish_/home/abuild/rpmbuild/BUILD/fclones_0.35.0_build/BUILDROOT//usr/bin/fclones_using_subcommand group" -l cache -d 'Enable caching of file hashes'
complete -c /home/abuild/rpmbuild/BUILD/fclones-0.35.0-build/BUILDROOT//usr/bin/fclones -n "__fish_/home/abuild/rpmbuild/BUILD/fclones_0.35.0_build/BUILDROOT//usr/bin/fclones_using_subcommand group" -s h -l help -d 'Print help (see more with \'--help\')'
complete -c /home/abuild/rpmbuild/BUILD/fclones-0.35.0-build/BUILDROOT//usr/bin/fclones -n "__fish_/home/abuild/rpmbuild/BUILD/fclones_0.35.0_build/BUILDROOT//usr/bin/fclones_using_subcommand link" -s o -l output -d 'Write the `dry_run` report to a file instead of the standard output' -r -F
complete -c /home/abuild/rpmbuild/BUILD/fclones-0.35.0-build/BUILDROOT//usr/bin/fclones -n "__fish_/home/abuild/rpmbuild/BUILD/fclones_0.35.0_build/BUILDROOT//usr/bin/fclones_using_subcommand link" -s m -l modified-before -d 'Deduplicate only the files that were modified before the given time' -r
complete -c /home/abuild/rpmbuild/BUILD/fclones-0.35.0-build/BUILDROOT//usr/bin/fclones -n "__fish_/home/abuild/rpmbuild/BUILD/fclones_0.35.0_build/BUILDROOT//usr/bin/fclones_using_subcommand link" -s n -l rf-over -d 'Keep at least n replicas untouched' -r
complete -c /home/abuild/rpmbuild/BUILD/fclones-0.35.0-build/BUILDROOT//usr/bin/fclones -n "__fish_/home/abuild/rpmbuild/BUILD/fclones_0.35.0_build/BUILDROOT//usr/bin/fclones_using_subcommand link" -l name -d 'Restrict the set of files that can be removed or replaced by links to files with the name matching any given patterns' -r
complete -c /home/abuild/rpmbuild/BUILD/fclones-0.35.0-build/BUILDROOT//usr/bin/fclones -n "__fish_/home/abuild/rpmbuild/BUILD/fclones_0.35.0_build/BUILDROOT//usr/bin/fclones_using_subcommand link" -l path -d 'Restrict the set of files that can be removed or replaced by links to files with the path matching any given patterns' -r
complete -c /home/abuild/rpmbuild/BUILD/fclones-0.35.0-build/BUILDROOT//usr/bin/fclones -n "__fish_/home/abuild/rpmbuild/BUILD/fclones_0.35.0_build/BUILDROOT//usr/bin/fclones_using_subcommand link" -l priority -d 'Set the priority for files to be removed or replaced by links' -r -f -a "top\t'Give higher priority to the files listed higher in the input file'
bottom\t'Give higher priority to the files listed lower in the input file'
newest\t'Give higher priority to the files with the most recent creation time'
oldest\t'Give higher priority to the files with the least recent creation time'
most-recently-modified\t'Give higher priority to the files with the most recent modification time'
least-recently-modified\t'Give higher priority to the files with the least recent modification time'
most-recently-accessed\t'Give higher priority to the files with the most recent access time'
least-recently-accessed\t'Give higher priority to the files with the least recent access time'
most-recent-status-change\t'Give higher priority to the files with the most recent status change'
least-recent-status-change\t'Give higher priority to the files with the least recent status change'
most-nested\t'Give higher priority to the files nested deeper in the directory tree'
least-nested\t'Give higher priority to the files nested shallower in the directory tree'"
complete -c /home/abuild/rpmbuild/BUILD/fclones-0.35.0-build/BUILDROOT//usr/bin/fclones -n "__fish_/home/abuild/rpmbuild/BUILD/fclones_0.35.0_build/BUILDROOT//usr/bin/fclones_using_subcommand link" -l keep-name -d 'Keep files with names matching any given patterns untouched' -r
complete -c /home/abuild/rpmbuild/BUILD/fclones-0.35.0-build/BUILDROOT//usr/bin/fclones -n "__fish_/home/abuild/rpmbuild/BUILD/fclones_0.35.0_build/BUILDROOT//usr/bin/fclones_using_subcommand link" -l keep-path -d 'Keep files with paths matching any given patterns untouched' -r
complete -c /home/abuild/rpmbuild/BUILD/fclones-0.35.0-build/BUILDROOT//usr/bin/fclones -n "__fish_/home/abuild/rpmbuild/BUILD/fclones_0.35.0_build/BUILDROOT//usr/bin/fclones_using_subcommand link" -l isolate -d 'Specify a list of path prefixes. If non-empty, all duplicates having the same path prefix (root) are treated as one. This also means that the files sharing the same root can be either all dropped or all retained' -r
complete -c /home/abuild/rpmbuild/BUILD/fclones-0.35.0-build/BUILDROOT//usr/bin/fclones -n "__fish_/home/abuild/rpmbuild/BUILD/fclones_0.35.0_build/BUILDROOT//usr/bin/fclones_using_subcommand link" -l dry-run -d 'Don\'t perform any changes on the file-system, but writes a log of file operations to the standard output'
complete -c /home/abuild/rpmbuild/BUILD/fclones-0.35.0-build/BUILDROOT//usr/bin/fclones -n "__fish_/home/abuild/rpmbuild/BUILD/fclones_0.35.0_build/BUILDROOT//usr/bin/fclones_using_subcommand link" -s H -l match-links -d 'Treat files reachable from multiple paths through links as duplicates'
complete -c /home/abuild/rpmbuild/BUILD/fclones-0.35.0-build/BUILDROOT//usr/bin/fclones -n "__fish_/home/abuild/rpmbuild/BUILD/fclones_0.35.0_build/BUILDROOT//usr/bin/fclones_using_subcommand link" -l no-lock -d 'Don\'t lock files before performing an action on them'
complete -c /home/abuild/rpmbuild/BUILD/fclones-0.35.0-build/BUILDROOT//usr/bin/fclones -n "__fish_/home/abuild/rpmbuild/BUILD/fclones_0.35.0_build/BUILDROOT//usr/bin/fclones_using_subcommand link" -l no-check-size -d 'Allow the size of a file to be different than the size recorded during grouping'
complete -c /home/abuild/rpmbuild/BUILD/fclones-0.35.0-build/BUILDROOT//usr/bin/fclones -n "__fish_/home/abuild/rpmbuild/BUILD/fclones_0.35.0_build/BUILDROOT//usr/bin/fclones_using_subcommand link" -s s -l soft -d 'Create soft (symbolic) links'
complete -c /home/abuild/rpmbuild/BUILD/fclones-0.35.0-build/BUILDROOT//usr/bin/fclones -n "__fish_/home/abuild/rpmbuild/BUILD/fclones_0.35.0_build/BUILDROOT//usr/bin/fclones_using_subcommand link" -s h -l help -d 'Print help (see more with \'--help\')'
complete -c /home/abuild/rpmbuild/BUILD/fclones-0.35.0-build/BUILDROOT//usr/bin/fclones -n "__fish_/home/abuild/rpmbuild/BUILD/fclones_0.35.0_build/BUILDROOT//usr/bin/fclones_using_subcommand dedupe" -s o -l output -d 'Write the `dry_run` report to a file instead of the standard output' -r -F
complete -c /home/abuild/rpmbuild/BUILD/fclones-0.35.0-build/BUILDROOT//usr/bin/fclones -n "__fish_/home/abuild/rpmbuild/BUILD/fclones_0.35.0_build/BUILDROOT//usr/bin/fclones_using_subcommand dedupe" -s m -l modified-before -d 'Deduplicate only the files that were modified before the given time' -r
complete -c /home/abuild/rpmbuild/BUILD/fclones-0.35.0-build/BUILDROOT//usr/bin/fclones -n "__fish_/home/abuild/rpmbuild/BUILD/fclones_0.35.0_build/BUILDROOT//usr/bin/fclones_using_subcommand dedupe" -s n -l rf-over -d 'Keep at least n replicas untouched' -r
complete -c /home/abuild/rpmbuild/BUILD/fclones-0.35.0-build/BUILDROOT//usr/bin/fclones -n "__fish_/home/abuild/rpmbuild/BUILD/fclones_0.35.0_build/BUILDROOT//usr/bin/fclones_using_subcommand dedupe" -l name -d 'Restrict the set of files that can be removed or replaced by links to files with the name matching any given patterns' -r
complete -c /home/abuild/rpmbuild/BUILD/fclones-0.35.0-build/BUILDROOT//usr/bin/fclones -n "__fish_/home/abuild/rpmbuild/BUILD/fclones_0.35.0_build/BUILDROOT//usr/bin/fclones_using_subcommand dedupe" -l path -d 'Restrict the set of files that can be removed or replaced by links to files with the path matching any given patterns' -r
complete -c /home/abuild/rpmbuild/BUILD/fclones-0.35.0-build/BUILDROOT//usr/bin/fclones -n "__fish_/home/abuild/rpmbuild/BUILD/fclones_0.35.0_build/BUILDROOT//usr/bin/fclones_using_subcommand dedupe" -l priority -d 'Set the priority for files to be removed or replaced by links' -r -f -a "top\t'Give higher priority to the files listed higher in the input file'
bottom\t'Give higher priority to the files listed lower in the input file'
newest\t'Give higher priority to the files with the most recent creation time'
oldest\t'Give higher priority to the files with the least recent creation time'
most-recently-modified\t'Give higher priority to the files with the most recent modification time'
least-recently-modified\t'Give higher priority to the files with the least recent modification time'
most-recently-accessed\t'Give higher priority to the files with the most recent access time'
least-recently-accessed\t'Give higher priority to the files with the least recent access time'
most-recent-status-change\t'Give higher priority to the files with the most recent status change'
least-recent-status-change\t'Give higher priority to the files with the least recent status change'
most-nested\t'Give higher priority to the files nested deeper in the directory tree'
least-nested\t'Give higher priority to the files nested shallower in the directory tree'"
complete -c /home/abuild/rpmbuild/BUILD/fclones-0.35.0-build/BUILDROOT//usr/bin/fclones -n "__fish_/home/abuild/rpmbuild/BUILD/fclones_0.35.0_build/BUILDROOT//usr/bin/fclones_using_subcommand dedupe" -l keep-name -d 'Keep files with names matching any given patterns untouched' -r
complete -c /home/abuild/rpmbuild/BUILD/fclones-0.35.0-build/BUILDROOT//usr/bin/fclones -n "__fish_/home/abuild/rpmbuild/BUILD/fclones_0.35.0_build/BUILDROOT//usr/bin/fclones_using_subcommand dedupe" -l keep-path -d 'Keep files with paths matching any given patterns untouched' -r
complete -c /home/abuild/rpmbuild/BUILD/fclones-0.35.0-build/BUILDROOT//usr/bin/fclones -n "__fish_/home/abuild/rpmbuild/BUILD/fclones_0.35.0_build/BUILDROOT//usr/bin/fclones_using_subcommand dedupe" -l isolate -d 'Specify a list of path prefixes. If non-empty, all duplicates having the same path prefix (root) are treated as one. This also means that the files sharing the same root can be either all dropped or all retained' -r
complete -c /home/abuild/rpmbuild/BUILD/fclones-0.35.0-build/BUILDROOT//usr/bin/fclones -n "__fish_/home/abuild/rpmbuild/BUILD/fclones_0.35.0_build/BUILDROOT//usr/bin/fclones_using_subcommand dedupe" -l dry-run -d 'Don\'t perform any changes on the file-system, but writes a log of file operations to the standard output'
complete -c /home/abuild/rpmbuild/BUILD/fclones-0.35.0-build/BUILDROOT//usr/bin/fclones -n "__fish_/home/abuild/rpmbuild/BUILD/fclones_0.35.0_build/BUILDROOT//usr/bin/fclones_using_subcommand dedupe" -s H -l match-links -d 'Treat files reachable from multiple paths through links as duplicates'
complete -c /home/abuild/rpmbuild/BUILD/fclones-0.35.0-build/BUILDROOT//usr/bin/fclones -n "__fish_/home/abuild/rpmbuild/BUILD/fclones_0.35.0_build/BUILDROOT//usr/bin/fclones_using_subcommand dedupe" -l no-lock -d 'Don\'t lock files before performing an action on them'
complete -c /home/abuild/rpmbuild/BUILD/fclones-0.35.0-build/BUILDROOT//usr/bin/fclones -n "__fish_/home/abuild/rpmbuild/BUILD/fclones_0.35.0_build/BUILDROOT//usr/bin/fclones_using_subcommand dedupe" -l no-check-size -d 'Allow the size of a file to be different than the size recorded during grouping'
complete -c /home/abuild/rpmbuild/BUILD/fclones-0.35.0-build/BUILDROOT//usr/bin/fclones -n "__fish_/home/abuild/rpmbuild/BUILD/fclones_0.35.0_build/BUILDROOT//usr/bin/fclones_using_subcommand dedupe" -s h -l help -d 'Print help (see more with \'--help\')'
complete -c /home/abuild/rpmbuild/BUILD/fclones-0.35.0-build/BUILDROOT//usr/bin/fclones -n "__fish_/home/abuild/rpmbuild/BUILD/fclones_0.35.0_build/BUILDROOT//usr/bin/fclones_using_subcommand remove" -s o -l output -d 'Write the `dry_run` report to a file instead of the standard output' -r -F
complete -c /home/abuild/rpmbuild/BUILD/fclones-0.35.0-build/BUILDROOT//usr/bin/fclones -n "__fish_/home/abuild/rpmbuild/BUILD/fclones_0.35.0_build/BUILDROOT//usr/bin/fclones_using_subcommand remove" -s m -l modified-before -d 'Deduplicate only the files that were modified before the given time' -r
complete -c /home/abuild/rpmbuild/BUILD/fclones-0.35.0-build/BUILDROOT//usr/bin/fclones -n "__fish_/home/abuild/rpmbuild/BUILD/fclones_0.35.0_build/BUILDROOT//usr/bin/fclones_using_subcommand remove" -s n -l rf-over -d 'Keep at least n replicas untouched' -r
complete -c /home/abuild/rpmbuild/BUILD/fclones-0.35.0-build/BUILDROOT//usr/bin/fclones -n "__fish_/home/abuild/rpmbuild/BUILD/fclones_0.35.0_build/BUILDROOT//usr/bin/fclones_using_subcommand remove" -l name -d 'Restrict the set of files that can be removed or replaced by links to files with the name matching any given patterns' -r
complete -c /home/abuild/rpmbuild/BUILD/fclones-0.35.0-build/BUILDROOT//usr/bin/fclones -n "__fish_/home/abuild/rpmbuild/BUILD/fclones_0.35.0_build/BUILDROOT//usr/bin/fclones_using_subcommand remove" -l path -d 'Restrict the set of files that can be removed or replaced by links to files with the path matching any given patterns' -r
complete -c /home/abuild/rpmbuild/BUILD/fclones-0.35.0-build/BUILDROOT//usr/bin/fclones -n "__fish_/home/abuild/rpmbuild/BUILD/fclones_0.35.0_build/BUILDROOT//usr/bin/fclones_using_subcommand remove" -l priority -d 'Set the priority for files to be removed or replaced by links' -r -f -a "top\t'Give higher priority to the files listed higher in the input file'
bottom\t'Give higher priority to the files listed lower in the input file'
newest\t'Give higher priority to the files with the most recent creation time'
oldest\t'Give higher priority to the files with the least recent creation time'
most-recently-modified\t'Give higher priority to the files with the most recent modification time'
least-recently-modified\t'Give higher priority to the files with the least recent modification time'
most-recently-accessed\t'Give higher priority to the files with the most recent access time'
least-recently-accessed\t'Give higher priority to the files with the least recent access time'
most-recent-status-change\t'Give higher priority to the files with the most recent status change'
least-recent-status-change\t'Give higher priority to the files with the least recent status change'
most-nested\t'Give higher priority to the files nested deeper in the directory tree'
least-nested\t'Give higher priority to the files nested shallower in the directory tree'"
complete -c /home/abuild/rpmbuild/BUILD/fclones-0.35.0-build/BUILDROOT//usr/bin/fclones -n "__fish_/home/abuild/rpmbuild/BUILD/fclones_0.35.0_build/BUILDROOT//usr/bin/fclones_using_subcommand remove" -l keep-name -d 'Keep files with names matching any given patterns untouched' -r
complete -c /home/abuild/rpmbuild/BUILD/fclones-0.35.0-build/BUILDROOT//usr/bin/fclones -n "__fish_/home/abuild/rpmbuild/BUILD/fclones_0.35.0_build/BUILDROOT//usr/bin/fclones_using_subcommand remove" -l keep-path -d 'Keep files with paths matching any given patterns untouched' -r
complete -c /home/abuild/rpmbuild/BUILD/fclones-0.35.0-build/BUILDROOT//usr/bin/fclones -n "__fish_/home/abuild/rpmbuild/BUILD/fclones_0.35.0_build/BUILDROOT//usr/bin/fclones_using_subcommand remove" -l isolate -d 'Specify a list of path prefixes. If non-empty, all duplicates having the same path prefix (root) are treated as one. This also means that the files sharing the same root can be either all dropped or all retained' -r
complete -c /home/abuild/rpmbuild/BUILD/fclones-0.35.0-build/BUILDROOT//usr/bin/fclones -n "__fish_/home/abuild/rpmbuild/BUILD/fclones_0.35.0_build/BUILDROOT//usr/bin/fclones_using_subcommand remove" -l dry-run -d 'Don\'t perform any changes on the file-system, but writes a log of file operations to the standard output'
complete -c /home/abuild/rpmbuild/BUILD/fclones-0.35.0-build/BUILDROOT//usr/bin/fclones -n "__fish_/home/abuild/rpmbuild/BUILD/fclones_0.35.0_build/BUILDROOT//usr/bin/fclones_using_subcommand remove" -s H -l match-links -d 'Treat files reachable from multiple paths through links as duplicates'
complete -c /home/abuild/rpmbuild/BUILD/fclones-0.35.0-build/BUILDROOT//usr/bin/fclones -n "__fish_/home/abuild/rpmbuild/BUILD/fclones_0.35.0_build/BUILDROOT//usr/bin/fclones_using_subcommand remove" -l no-lock -d 'Don\'t lock files before performing an action on them'
complete -c /home/abuild/rpmbuild/BUILD/fclones-0.35.0-build/BUILDROOT//usr/bin/fclones -n "__fish_/home/abuild/rpmbuild/BUILD/fclones_0.35.0_build/BUILDROOT//usr/bin/fclones_using_subcommand remove" -l no-check-size -d 'Allow the size of a file to be different than the size recorded during grouping'
complete -c /home/abuild/rpmbuild/BUILD/fclones-0.35.0-build/BUILDROOT//usr/bin/fclones -n "__fish_/home/abuild/rpmbuild/BUILD/fclones_0.35.0_build/BUILDROOT//usr/bin/fclones_using_subcommand remove" -s h -l help -d 'Print help (see more with \'--help\')'
complete -c /home/abuild/rpmbuild/BUILD/fclones-0.35.0-build/BUILDROOT//usr/bin/fclones -n "__fish_/home/abuild/rpmbuild/BUILD/fclones_0.35.0_build/BUILDROOT//usr/bin/fclones_using_subcommand move" -s o -l output -d 'Write the `dry_run` report to a file instead of the standard output' -r -F
complete -c /home/abuild/rpmbuild/BUILD/fclones-0.35.0-build/BUILDROOT//usr/bin/fclones -n "__fish_/home/abuild/rpmbuild/BUILD/fclones_0.35.0_build/BUILDROOT//usr/bin/fclones_using_subcommand move" -s m -l modified-before -d 'Deduplicate only the files that were modified before the given time' -r
complete -c /home/abuild/rpmbuild/BUILD/fclones-0.35.0-build/BUILDROOT//usr/bin/fclones -n "__fish_/home/abuild/rpmbuild/BUILD/fclones_0.35.0_build/BUILDROOT//usr/bin/fclones_using_subcommand move" -s n -l rf-over -d 'Keep at least n replicas untouched' -r
complete -c /home/abuild/rpmbuild/BUILD/fclones-0.35.0-build/BUILDROOT//usr/bin/fclones -n "__fish_/home/abuild/rpmbuild/BUILD/fclones_0.35.0_build/BUILDROOT//usr/bin/fclones_using_subcommand move" -l name -d 'Restrict the set of files that can be removed or replaced by links to files with the name matching any given patterns' -r
complete -c /home/abuild/rpmbuild/BUILD/fclones-0.35.0-build/BUILDROOT//usr/bin/fclones -n "__fish_/home/abuild/rpmbuild/BUILD/fclones_0.35.0_build/BUILDROOT//usr/bin/fclones_using_subcommand move" -l path -d 'Restrict the set of files that can be removed or replaced by links to files with the path matching any given patterns' -r
complete -c /home/abuild/rpmbuild/BUILD/fclones-0.35.0-build/BUILDROOT//usr/bin/fclones -n "__fish_/home/abuild/rpmbuild/BUILD/fclones_0.35.0_build/BUILDROOT//usr/bin/fclones_using_subcommand move" -l priority -d 'Set the priority for files to be removed or replaced by links' -r -f -a "top\t'Give higher priority to the files listed higher in the input file'
bottom\t'Give higher priority to the files listed lower in the input file'
newest\t'Give higher priority to the files with the most recent creation time'
oldest\t'Give higher priority to the files with the least recent creation time'
most-recently-modified\t'Give higher priority to the files with the most recent modification time'
least-recently-modified\t'Give higher priority to the files with the least recent modification time'
most-recently-accessed\t'Give higher priority to the files with the most recent access time'
least-recently-accessed\t'Give higher priority to the files with the least recent access time'
most-recent-status-change\t'Give higher priority to the files with the most recent status change'
least-recent-status-change\t'Give higher priority to the files with the least recent status change'
most-nested\t'Give higher priority to the files nested deeper in the directory tree'
least-nested\t'Give higher priority to the files nested shallower in the directory tree'"
complete -c /home/abuild/rpmbuild/BUILD/fclones-0.35.0-build/BUILDROOT//usr/bin/fclones -n "__fish_/home/abuild/rpmbuild/BUILD/fclones_0.35.0_build/BUILDROOT//usr/bin/fclones_using_subcommand move" -l keep-name -d 'Keep files with names matching any given patterns untouched' -r
complete -c /home/abuild/rpmbuild/BUILD/fclones-0.35.0-build/BUILDROOT//usr/bin/fclones -n "__fish_/home/abuild/rpmbuild/BUILD/fclones_0.35.0_build/BUILDROOT//usr/bin/fclones_using_subcommand move" -l keep-path -d 'Keep files with paths matching any given patterns untouched' -r
complete -c /home/abuild/rpmbuild/BUILD/fclones-0.35.0-build/BUILDROOT//usr/bin/fclones -n "__fish_/home/abuild/rpmbuild/BUILD/fclones_0.35.0_build/BUILDROOT//usr/bin/fclones_using_subcommand move" -l isolate -d 'Specify a list of path prefixes. If non-empty, all duplicates having the same path prefix (root) are treated as one. This also means that the files sharing the same root can be either all dropped or all retained' -r
complete -c /home/abuild/rpmbuild/BUILD/fclones-0.35.0-build/BUILDROOT//usr/bin/fclones -n "__fish_/home/abuild/rpmbuild/BUILD/fclones_0.35.0_build/BUILDROOT//usr/bin/fclones_using_subcommand move" -l dry-run -d 'Don\'t perform any changes on the file-system, but writes a log of file operations to the standard output'
complete -c /home/abuild/rpmbuild/BUILD/fclones-0.35.0-build/BUILDROOT//usr/bin/fclones -n "__fish_/home/abuild/rpmbuild/BUILD/fclones_0.35.0_build/BUILDROOT//usr/bin/fclones_using_subcommand move" -s H -l match-links -d 'Treat files reachable from multiple paths through links as duplicates'
complete -c /home/abuild/rpmbuild/BUILD/fclones-0.35.0-build/BUILDROOT//usr/bin/fclones -n "__fish_/home/abuild/rpmbuild/BUILD/fclones_0.35.0_build/BUILDROOT//usr/bin/fclones_using_subcommand move" -l no-lock -d 'Don\'t lock files before performing an action on them'
complete -c /home/abuild/rpmbuild/BUILD/fclones-0.35.0-build/BUILDROOT//usr/bin/fclones -n "__fish_/home/abuild/rpmbuild/BUILD/fclones_0.35.0_build/BUILDROOT//usr/bin/fclones_using_subcommand move" -l no-check-size -d 'Allow the size of a file to be different than the size recorded during grouping'
complete -c /home/abuild/rpmbuild/BUILD/fclones-0.35.0-build/BUILDROOT//usr/bin/fclones -n "__fish_/home/abuild/rpmbuild/BUILD/fclones_0.35.0_build/BUILDROOT//usr/bin/fclones_using_subcommand move" -s h -l help -d 'Print help (see more with \'--help\')'
complete -c /home/abuild/rpmbuild/BUILD/fclones-0.35.0-build/BUILDROOT//usr/bin/fclones -n "__fish_/home/abuild/rpmbuild/BUILD/fclones_0.35.0_build/BUILDROOT//usr/bin/fclones_using_subcommand complete" -s h -l help -d 'Print help'
complete -c /home/abuild/rpmbuild/BUILD/fclones-0.35.0-build/BUILDROOT//usr/bin/fclones -n "__fish_/home/abuild/rpmbuild/BUILD/fclones_0.35.0_build/BUILDROOT//usr/bin/fclones_using_subcommand help; and not __fish_seen_subcommand_from group link dedupe remove move complete help" -f -a "group" -d 'Produce a list of groups of identical files'
complete -c /home/abuild/rpmbuild/BUILD/fclones-0.35.0-build/BUILDROOT//usr/bin/fclones -n "__fish_/home/abuild/rpmbuild/BUILD/fclones_0.35.0_build/BUILDROOT//usr/bin/fclones_using_subcommand help; and not __fish_seen_subcommand_from group link dedupe remove move complete help" -f -a "link" -d 'Replace redundant files with links'
complete -c /home/abuild/rpmbuild/BUILD/fclones-0.35.0-build/BUILDROOT//usr/bin/fclones -n "__fish_/home/abuild/rpmbuild/BUILD/fclones_0.35.0_build/BUILDROOT//usr/bin/fclones_using_subcommand help; and not __fish_seen_subcommand_from group link dedupe remove move complete help" -f -a "dedupe" -d 'Deduplicate file data using native filesystem deduplication capabilities'
complete -c /home/abuild/rpmbuild/BUILD/fclones-0.35.0-build/BUILDROOT//usr/bin/fclones -n "__fish_/home/abuild/rpmbuild/BUILD/fclones_0.35.0_build/BUILDROOT//usr/bin/fclones_using_subcommand help; and not __fish_seen_subcommand_from group link dedupe remove move complete help" -f -a "remove" -d 'Remove redundant files'
complete -c /home/abuild/rpmbuild/BUILD/fclones-0.35.0-build/BUILDROOT//usr/bin/fclones -n "__fish_/home/abuild/rpmbuild/BUILD/fclones_0.35.0_build/BUILDROOT//usr/bin/fclones_using_subcommand help; and not __fish_seen_subcommand_from group link dedupe remove move complete help" -f -a "move" -d 'Move redundant files to the given directory'
complete -c /home/abuild/rpmbuild/BUILD/fclones-0.35.0-build/BUILDROOT//usr/bin/fclones -n "__fish_/home/abuild/rpmbuild/BUILD/fclones_0.35.0_build/BUILDROOT//usr/bin/fclones_using_subcommand help; and not __fish_seen_subcommand_from group link dedupe remove move complete help" -f -a "complete" -d 'Print shell completion script to stdout'
complete -c /home/abuild/rpmbuild/BUILD/fclones-0.35.0-build/BUILDROOT//usr/bin/fclones -n "__fish_/home/abuild/rpmbuild/BUILD/fclones_0.35.0_build/BUILDROOT//usr/bin/fclones_using_subcommand help; and not __fish_seen_subcommand_from group link dedupe remove move complete help" -f -a "help" -d 'Print this message or the help of the given subcommand(s)'
